/***************************************************
* Zeus CMD - OpenGL ES Tutorial 4 : Keyboard Input *
* By Grant James (ZEUS)                            *
* http://www.zeuscmd.com                           *
***************************************************/
#pragma comment(lib, "libGLES_CM.lib")
#pragma comment(lib, "ug.lib")

#include "ug.h"

void init()
{
	
}

void display(UGWindow uwin)
{

}

void keyboard(UGWindow uwin, int key, int x, int y)
{
	switch(key)
	{
	case 'q' : exit(0); break;
	case UG_KEY_UP : exit(0); break;
	}
}

int main()
{
	UGCtx ug = ugInit();

	UGWindow uwin = ugCreateWindow(ug, "", "04 - Keyboard Input", 250, 250, 100, 100);

	init();

	ugDisplayFunc(uwin, display);
	ugKeyboardFunc(uwin, keyboard);

	ugMainLoop(ug);

	return 0;
}
